// ==========================
// DHM - Decals
//
// *************** IMPORTANT NOTE *********************
// If you want the decal to be available for selection
// by the level designers in QERadiant, then you must
// use the name of the image as the name of the shader.
//
// Follow the examples below.
// ****************************************************
//
// ==========================

// PGM -- for demon dice targeting
pentagram_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/pentagram_decal.tga
	sort decal
	{
		map textures/decals/pentagram_decal.tga
		blendfunc filter
		rgbGen identity
	}
	{	
		map textures/decals/pentagram_decal2.tga
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
}

// bug smear, streak
bug_smear1_1
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/bug_smear1_1.tga
	sort decal
	{
		clampmap textures/decals/bug_smear1_1.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

// bug smear, splat
bug_smear1_2
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/bug_smear1_2.tga
	sort decal
	{
		clampmap textures/decals/bug_smear1_2.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

acid_splat
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/acid_splat.tga
	sort decal
	{
		clampmap textures/decals/acid_splat.tga
		//blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
		alphaGen vertex
	}
}

acid_splat2
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/acid_splat2.tga
	sort decal
	{
		clampmap textures/decals/acid_splat2.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//blendfunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
		alphaGen vertex
	}
}

blood_splat
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/blood_splat.tga
	sort decal
	{
		clampmap textures/decals/blood_splat.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

blood_splat2
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/blood_splat2.tga
	sort decal
	{
		clampmap textures/decals/blood_splat2.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

blood_splat3
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/blood_splat3.tga
	sort decal
	{
		clampmap textures/decals/blood_splat3.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

blood_splat4
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/blood_splat4.tga
	sort decal
	{
		clampmap textures/decals/blood_splat4.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

blood_splat5
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/blood_splat5.tga
	sort decal
	{
		clampmap textures/decals/blood_splat5.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

blood_splat6
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/blood_splat6.tga
	sort decal
	{
		clampmap textures/decals/blood_splat6.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

ice_splotch
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/ice_splotch.tga
	sort decal
	{
		map textures/decals/ice_splotch.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

scorch
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/scorch.tga
	sort decal
	{
		map textures/decals/scorch.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

water_ripple
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/water_ripple.tga
	sort decal
	{
		map textures/decals/water_ripple.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

water_ripple2
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/water_ripple2.tga
	sort decal
	{
		map textures/decals/water_ripple2.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

water_splat
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/water_splat.tga
	sort decal
	{
		map textures/decals/water_splat.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

lava_trail1_1
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/lava_trail1_1.tga
	sort decal
	{
		map textures/decals/lava_trail1_1.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//blendfunc GL_ONE GL_ONE
		rgbGen vertex
		alphaGen vertex
	}
}

lava_puddle1_1
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/laval_puddle1_1.tga
	sort decal
	{
		map textures/decals/laval_puddle1_1.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

// ******************************************************
// ** Decals below are used in game code, not for maps **
// ******************************************************

// PGM -- for boojum's scream impact marks
boojum_impact_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/ice_splotch.tga
	sort decal
	{
		map textures/decals/ice_splotch.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen vertex
		alphaGen vertex
	}
}

// PGM -- acid impact splat
acid_splat_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/acid_splat.tga
	sort decal
	{
		clampmap textures/decals/acid_splat.tga
		//blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		blendfunc GL_DST_COLOR GL_ZERO
		rgbGen vertex
		alphaGen vertex
	}
}

// DHM -- card impact
card_impact_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/scorch.tga
	sort decal
	{
		clampmap textures/decals/scorch.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

blood1_decal
{
    surfaceparm nolightmap
    qer_editorimage textures/decals/blood_splat.tga

    sort decal
    {
        map textures/decals/blood_splat.tga
        blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphagen vertex
    }
}
blood2_decal
{
    surfaceparm nolightmap
    qer_editorimage textures/decals/blood_splat2.tga

    sort decal
    {
        map textures/decals/blood_splat2.tga
        blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphagen vertex
    }
}
blood3_decal
{
    surfaceparm nolightmap
    qer_editorimage textures/decals/blood_splat3.tga

    sort decal
    {
        map textures/decals/blood_splat3.tga
        blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphagen vertex
    }
} 
blood4_decal
{
    surfaceparm nolightmap
    qer_editorimage textures/decals/blood_splat4.tga

    sort decal
    {
        map textures/decals/blood_splat4.tga
        blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphagen vertex
    }
} 
blood5_decal
{
    surfaceparm nolightmap
    qer_editorimage textures/decals/blood_splat5.tga

    sort decal
    {
        map textures/decals/blood_splat5.tga
        blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphagen vertex
    }
}
blood6_decal
{
    surfaceparm nolightmap
    qer_editorimage textures/decals/blood_splat6.tga

    sort decal
    {
        map textures/decals/blood_splat6.tga
        blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphagen vertex
    }
}

//chris green blood1
g_blood1_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/g_blood_splat.tga
	sort decal
	{
		clampmap textures/decals/g_blood_splat.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
//chris green blood
g_blood2_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/g_blood_splat2.tga
	sort decal
	{
		clampmap textures/decals/g_blood_splat2.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
//chris green blood3
g_blood3_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/g_blood_splat3.tga
	sort decal
	{
		clampmap textures/decals/g_blood_splat3.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
//chris green blood4
g_blood4_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/g_blood_splat4.tga
	sort decal
	{
		clampmap textures/decals/g_blood_splat4.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
//chris green blood5
g_blood5_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/g_blood_splat5.tga
	sort decal
	{
		clampmap textures/decals/g_blood_splat5.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
//chris green blood 6
g_blood6_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/g_blood_splat6.tga
	sort decal
	{
		clampmap textures/decals/g_blood_splat6.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}

//chris oil blood1
o_blood1_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/o_blood_splat.tga
	sort decal
	{
		clampmap textures/decals/o_blood_splat.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
//chris oil blood 2
o_blood2_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/o_blood_splat2.tga
	sort decal
	{
		clampmap textures/decals/o_blood_splat2.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
//chris oil blood 3
o_blood3_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/o_blood_splat3.tga
	sort decal
	{
		clampmap textures/decals/o_blood_splat3.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
//chris oil blood4
o_blood4_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/o_blood_splat4.tga
	sort decal
	{
		clampmap textures/decals/o_blood_splat4.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
//chris oil blood 5
o_blood5_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/o_blood_splat5.tga
	sort decal
	{
		clampmap textures/decals/o_blood_splat5.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
//chris oil blood 6
o_blood6_decal
{
	surfaceparm nolightmap
	qer_editorimage textures/decals/o_blood_splat6.tga
	sort decal
	{
		clampmap textures/decals/o_blood_splat6.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		alphaGen vertex
	}
}
	
